import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { GetMasterChefDataPropsParams, GetMasterChefTokenBalancesParams, MasterChefTemplateContractPositionFetcher } from '../../../position/template/master-chef.template.contract-position-fetcher';
import { JonesDaoContractFactory, JonesMillinerV2 } from '../contracts';
export declare class ArbitrumJonesDaoMillinerV2ContractPositionFetcher extends MasterChefTemplateContractPositionFetcher<JonesMillinerV2> {
    protected readonly appToolkit: IAppToolkit;
    protected readonly contractFactory: JonesDaoContractFactory;
    groupLabel: string;
    chefAddress: string;
    constructor(appToolkit: IAppToolkit, contractFactory: JonesDaoContractFactory);
    getContract(address: string): JonesMillinerV2;
    getPoolLength(contract: JonesMillinerV2): Promise<import("ethers").BigNumber>;
    getStakedTokenAddress(contract: JonesMillinerV2, poolIndex: number): Promise<string>;
    getRewardTokenAddress(contract: JonesMillinerV2): Promise<string>;
    getTotalAllocPoints({ contract }: GetMasterChefDataPropsParams<JonesMillinerV2>): Promise<import("ethers").BigNumber>;
    getPoolAllocPoints({ contract, definition }: GetMasterChefDataPropsParams<JonesMillinerV2>): Promise<import("ethers").BigNumber>;
    getTotalRewardRate({ contract }: GetMasterChefDataPropsParams<JonesMillinerV2>): Promise<import("ethers").BigNumber>;
    getStakedTokenBalance({ address, contract, contractPosition, }: GetMasterChefTokenBalancesParams<JonesMillinerV2>): Promise<import("ethers").BigNumber>;
    getRewardTokenBalance({ address, contract, contractPosition, }: GetMasterChefTokenBalancesParams<JonesMillinerV2>): Promise<import("ethers").BigNumber>;
}
